/* table  行・列のhoverハイライト設定 */
table{
	margin:0 auto;
	border-spacing: 0;
	border-collapse: collapse;
	border: solid 1px rgba( 0,0,0,.6 );
	overflow: hidden;	/*これがないとはみ出しちゃうので必須*/
}
table th,
table td{
	padding: 1em 1.5em;
	border: dotted 1px rgba( 0,0,0,.6 );
	text-align:center;
	position: relative;	/*カラーを疑似要素で乗せるので必須*/
}
table th{ color:#000; background:#8FD3E8; }
table td:hover{
	background: rgba( 255,255,96,.6 );		/*ホバーしたセルのカラー*/
}
table td:hover::before,
table td:hover::after{	/*ホバーした縦横セルのハイライト準備*/
	content: "";
	width: 100%;
	height: 100%;
	background: rgba( 255,255,96,.2 );		/*縦横のカラー指定*/
	position: absolute;
	top: 0;
	left: 0;
	z-index: -1;
}
table td:hover::before{	/*ホバーした横のセル全部をハイライト*/
	width: 200vw;
	left: -100vw;
}
table td:hover::after{	/*ホバーした縦のセル全部をハイライト*/
	height: 200vh;
	top: -100vh;
}
